from django.contrib import admin
from django.urls import path
from django.views.decorators.csrf import csrf_exempt
from .views import PublicGraphQLView, UserGraphQLView, TeamGraphQLView
from .schemas.public_schema import public_schema
from .schemas.user_schema import user_schema
from .schemas.team_schema import team_schema

urlpatterns = [
    path('admin/', admin.site.urls),
    path('graphql/public/', csrf_exempt(PublicGraphQLView.as_view(graphiql=True, schema=public_schema))),
    path('graphql/user/', csrf_exempt(UserGraphQLView.as_view(graphiql=True, schema=user_schema))),
    path('graphql/team/', csrf_exempt(TeamGraphQLView.as_view(graphiql=True, schema=team_schema))),
]
